package com.hd.mail.service;

import javax.annotation.Resource;
import javax.mail.MessagingException;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.thymeleaf.TemplateEngine;
import org.thymeleaf.context.Context;

@RunWith(SpringRunner.class)
@SpringBootTest
public class MailServiceTest {
	@Resource MailService mailService;
	@Autowired private TemplateEngine templateEngine;
	private String to = "111111@qq.com";
	
	@Test
	public void sendMailTemplate(){
		Context context = new Context();
		context.setVariable("para1", "java小强");
		String emailStr = templateEngine.process("test", context);
		try {
			mailService.sendMailHtml(to, "来自测试HTML", emailStr);
		} catch (MessagingException e) {
			e.printStackTrace();
		}
	}
	
	@Test
	public void sendMailInLine(){
		try {
			String picId1 = "picId1";
			String picPath1 = "D:\\temp\\test.jpg";
			String content = "<html><body><p style=\"font-size:30px\">来自测试内嵌图片</p><img src=\'cid:"+picId1+"\'></img></html></body>";
			mailService.sendMailInLine(to, "来自测试内嵌图片", content, picId1, picPath1);
		} catch (MessagingException e) {
			e.printStackTrace();
		}
	}
	
	@Test
	public void sendMailAtt(){
		try {
			String content = "<p style=\"font-size:30px\">来自测试附件</p>";
			String filePath = "D:\\temp\\test.txt";
			mailService.sendMailAtt(to, "来自测试附件", content, filePath);
		} catch (MessagingException e) {
			e.printStackTrace();
		}
	}

	@Test
	public void sendMailHtml(){
		try {
			mailService.sendMailHtml(to, "来自测试HTML", "<p style=\"font-size:30px\">来自测试HTML</p>");
		} catch (MessagingException e) {
			e.printStackTrace();
		}
	}
	
	@Test
	public void sendMailText(){
		mailService.sendMailText(to, "来自测试", "这是文本邮件测试");
	}
	
	@Test
	public void sendMailTest(){
		mailService.sendMail();
	}
}
